Abort when importing VCF address entries

Bug #461717 reported by Kiri
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
addresses-for-gnustep (Ubuntu)
Undecided
Unassigned

Bug Description

Importing VCF data from KAddressBook causes an Abort.

ProblemType: Bug
Architecture: i386
Date: Tue Oct 27 08:37:05 2009
DistroRelease: Ubuntu 9.10
Package: addressmanager.app 0.4.7-1build2
ProcEnviron:
 LANGUAGE=de_DE.UTF-8
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: addresses-for-gnustep
Uname: Linux 2.6.31-14-generic i686

Revision history for this message
Kiri (kiri) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package addresses-for-gnustep - 0.4.8-3

---------------
addresses-for-gnustep (0.4.8-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/link-libs.patch: New, link against all needed libraries
    (Closes: #889534, #889536). Cherry-picked from upstream with one
    minor modification.
  * debian/patches/vcf-import.patch: New, fix exception when importing
    VCF files (LP: #461717).
  * debian/patches/series: Update.
  * debian/compat: Set to 11.
  * debian/changelog: Remove trailing whitespace.
  * debian/rules: Likewise. Remove dh_make boilerplate comments, enable
    all hardening, define DEB_LDFLAGS_MAINT_APPEND to enforce symbol
    resolution at build time and strip unneded libraries. Remove optim
    definition, rely on config.mk instead.
    (override_dh_auto_build): Replace $(MAKE) with dh_auto_build.
    (override_dh_makeshlibs): Remove as it is wrong.
  * debian/control (Build-Depends): Require gnustep-make >= 2.7.0-3 for
    the optim variable definition. Bump debhelper requirement to >= 11.
    Remove obsolete libgnustep-gui-dev version requirement.
    (Depends): Drop obsolete dpkg dependency.
    (libaddressview-dev) <Depends>: Replace libgnustep-base-dev with
    libgnustep-gui-dev. Add libaddresses-dev.
    (Conflicts, Replaces, Breaks): Remove, ancient.
    (addresses.framework, addressview.framework): Remove, utterly useless.
    (Uploaders): Remove Hubert as requested.
    (Vcs-Git, Vcs-Browser): New fields.
    (Standards-Version): Declare compliance with 4.1.3.
  * debian/libaddressview0.symbols:
  * debian/libaddresses0.symbols: Remove; harmful for Objective-C libs.
  * debian/libaddressview0.lintian-overrides:
  * debian/libaddresses0.lintian-overrides: New, override wrongly emitted
    package-has-unnecessary-activation-of-ldconfig-trigger.
  * debian/AddressManager.xpm:
  * debian/menu: Delete.
  * debian/adressmanager.app.install: Don't install the .xpm icon, install
    the .desktop file.
  * debian/addresses-for-gnustep-dev.dirs:
  * debian/addressview.framework.docs:
  * debian/addresses.framework.docs: Delete.
  * debian/addressmanager.app.maintscript: Delete, no longer needed.
  * debian/watch: Switch to HTTPS and Savannah's mirror multiplexer.

 -- Yavor Doganov <email address hidden> Tue, 06 Mar 2018 07:36:44 +0200

Changed in addresses-for-gnustep (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers